"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (function (logger) {
    var handleExit = function (event) {
        return function (error) {
            if (error !== undefined) {
                logger.error(error.stack);
            }
            logger.info(event);
            process.exit();
        };
    };
    if (process.send !== undefined) {
        logger.info('Process ready');
        process.send('ready');
    }
    process.on('exit', handleExit('exit'));
    process.on('SIGINT', handleExit('SIGINT'));
    process.on('SIGTERM', handleExit('SIGTERM'));
    process.on('uncaughtException', handleExit('uncaughtException'));
});
//# sourceMappingURL=handleListen.js.map