"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
var moment = require("moment");
var winston = require("winston");
var CloudWatchTransport = require("winston-aws-cloudwatch");
var getTime = function () {
    return moment().format('YYYY-MM-DD HH:mm:ss:SSS');
};
var createConsoleTransport = function (config) {
    return new winston.transports.Console({
        colorize: true,
        handleExceptions: true,
        humanReadableUnhandledException: true,
        level: config.console.level,
        prettyPrint: true,
        stderrLevels: ['error'],
        timestamp: getTime,
    });
};
var createAwsTransport = function (config) {
    return new CloudWatchTransport({
        awsConfig: config.cloudWatch.awsConfig,
        createLogGroup: true,
        createLogStream: true,
        level: config.cloudWatch.level,
        logGroupName: config.cloudWatch.logGroupName,
        logStreamName: config.cloudWatch.logStreamName,
    });
};
exports.default = (function (config) {
    winston.cli();
    return new winston.Logger({
        exitOnError: false,
        transports: __spreadArray([
            createConsoleTransport(config)
        ], (!config.cloudWatch.enabled ? [] : [createAwsTransport(config)]), true),
    });
});
//# sourceMappingURL=index.js.map